<template>
  <div>
    <section-header>{{ title }}</section-header>
    <MasonsBase @on_add="addToEvent" @on_remove="removeFromEvent"/>
  </div>
</template>

<script>
import MasonsBase from '@/components/MasonsBase.vue';
import SectionHeader from '@/components/SectionHeader.vue';
import { useRoute } from 'vue-router';
import { mapGetters } from 'vuex';
import { mapMutations } from 'vuex';

export default {
  components: {
    MasonsBase,
    SectionHeader
  },
  data() {
    return {
      event_name: ''
    }
  },
  methods: {
    ...mapMutations(["removeMason"]),
    removeFromEvent(id) {
      this.removeMason(id)
    },
    addToEvent() {

    }
  },
  computed: {
    ...mapGetters(['getEvent']),
    title() {
      return "Masons present at event " + this.event_name
    }
  },
  mounted() {
    const event_id = useRoute().params.id
    this.event_name = this.getEvent(event_id).name
  }
}

</script>